namespace ScadaLink.Commons.Entities.ExternalSystems;

public class ExternalSystemMethod
{
    public int Id { get; set; }
    public int ExternalSystemDefinitionId { get; set; }
    public string Name { get; set; }
    public string HttpMethod { get; set; }
    public string Path { get; set; }
    public string? ParameterDefinitions { get; set; }
    public string? ReturnDefinition { get; set; }

    public ExternalSystemMethod(string name, string httpMethod, string path)
    {
        Name = name ?? throw new ArgumentNullException(nameof(name));
        HttpMethod = httpMethod ?? throw new ArgumentNullException(nameof(httpMethod));
        Path = path ?? throw new ArgumentNullException(nameof(path));
    }
}
